
QT += core gui webkit declarative network
CONFIG   += qt-components
TARGET = solitaire
TEMPLATE = app
VERSION = 0.3.1

SOURCES += src/main.cpp \
           src/mywebview.cpp \
           src/qdeclarativewebview.cpp

HEADERS += src/mywebview.h \
           src/qdeclarativewebview_p.h

OTHER_FILES += \
    html/*.* \
    qml/*.*

symbian {
    TARGET = Solitaire
    TARGET.UID3 = 0xE7516D55
    TARGET.EPOCHEAPSIZE = 0x020000 0x6000000

    TARGET.CAPABILITY += \
        NetworkServices \
        ReadUserData \
        WriteUserData \
        LocalServices \
        UserEnvironment
        
    qmlFiles.sources = qml
    htmlFiles.sources = html
    DEPLOYMENT += qmlFiles htmlFiles
}
